<?php
add_filter('acf/load_field/name=post_type', 'acf_load_post_types');
/*
 *  Load Select Field `select_post_type` populated with the value and labels of the singular 
 *  name of all public post types
 */
function acf_load_post_types($field)
{

    $choices = get_post_types(array('show_in_nav_menus' => true), 'objects');

    foreach ($choices as $post_type):
        $field['choices'][$post_type->name] = $post_type->labels->singular_name;
    endforeach;
    return $field;
}
