<?php
/**
 * Block Template.
 *
 * @param array  $block The block settings and attributes.
 * @param string $content The block inner HTML (empty).
 * @param bool   $is_preview True during backend preview render.
 * @param int    $post_id The post ID the block is rendering content against.
 */

// Create id attribute allowing for custom "anchor" value
$id = 'terms-' . $block['id'];
if (!empty($block['anchor'])) {
    $id = $block['anchor'];
}

// Create class attribute allowing for custom "className"
$classes = 'terms-block';
if (!empty($block['className'])) {
    $classes .= ' ' . $block['className'];
}

$text = get_field('text');
?>

<p id="<?php echo esc_attr($id); ?>" class="<?php echo esc_attr($classes); ?>">
    <?php echo $text; ?> Abonnementet har ingen bindingstid og kan stoppes eller endres etter eget ønske, enten via
    e-post eller telefon, senest 14 dager før neste utsendelse. Dersom du angrer på din første bestilling etter å ha
    mottatt introduksjonstilbudet, har du 14 dagers angrerett. Med abonnementet får du automatisk et gratis og
    uforpliktende medlemskap i kundeklubben FRISK, og du kan motta tilbud via sms, post, tlf. eller e-post. Du kan når
    som helst trekke tilbake samtykket via e-post eller telefon.
</p>